org.ajax4jsf.javascript

## Class ScriptStringBase

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase

- All Implemented Interfaces:
    ScriptString
  Direct Known Subclasses:
    AddCSVMessageScript, AjaxFunction, AjaxOptions, AnonymousFunctionCall, JSFunction, JSFunctionDefinition, JSLiteral, JSReference, JSWithDependencies, MessageDataScriptString, MessageUpdateScript, TreeRenderingContext.Handlers

      public abstract class ScriptStringBase
      extends Object
      implements ScriptString

  Version:
    $Revision: 1.1.2.2 $ $Date: 2007/01/26 10:38:52 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COLON`
    `static String` | `COMMA`
    `static String` | `DOT`
    `static String` | `EMPTY_STRING`
    `static String` | `EQUALS`
    `static String` | `FUNCTION`
    `static String` | `LEFT_CURLY_BRACKET`
    `static String` | `LEFT_ROUND_BRACKET`
    `static String` | `LEFT_SQUARE_BRACKET`
    `static String` | `RIGHT_CURLY_BRACKET`
    `static String` | `RIGHT_ROUND_BRACKET`
    `static String` | `RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptStringBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendScriptToStringBuilder(StringBuilder stringBuilder)` Append JavaScript code to @link `StringBuilder`
    `String` | `toScript()` Return object content as JavaScript String.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.javascript.ScriptString

      `appendScript`

- - ### Field Detail

    - #### FUNCTION

          public static final String FUNCTION

      See Also:
        Constant Field Values

    - #### EQUALS

          public static final String EQUALS

      See Also:
        Constant Field Values

    - #### DOT

          public static final String DOT

      See Also:
        Constant Field Values

    - #### COMMA

          public static final String COMMA

      See Also:
        Constant Field Values

    - #### EMPTY_STRING

          public static final String EMPTY_STRING

      See Also:
        Constant Field Values

    - #### LEFT_CURLY_BRACKET

          public static final String LEFT_CURLY_BRACKET

      See Also:
        Constant Field Values

    - #### RIGHT_CURLY_BRACKET

          public static final String RIGHT_CURLY_BRACKET

      See Also:
        Constant Field Values

    - #### LEFT_ROUND_BRACKET

          public static final String LEFT_ROUND_BRACKET

      See Also:
        Constant Field Values

    - #### RIGHT_ROUND_BRACKET

          public static final String RIGHT_ROUND_BRACKET

      See Also:
        Constant Field Values

    - #### LEFT_SQUARE_BRACKET

          public static final String LEFT_SQUARE_BRACKET

      See Also:
        Constant Field Values

    - #### RIGHT_SQUARE_BRACKET

          public static final String RIGHT_SQUARE_BRACKET

      See Also:
        Constant Field Values

    - #### COLON

          public static final String COLON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScriptStringBase

          public ScriptStringBase()

  - ### Method Detail

    - #### toScript

          public String toScript()

      Description copied from interface: `ScriptString`
      Return object content as JavaScript String.
      Specified by:
        `toScript` in interface `ScriptString`
      Returns:
        object content as JavaScript String

    - #### appendScriptToStringBuilder

          public void appendScriptToStringBuilder(StringBuilder stringBuilder)

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `StringBuilder`
      Specified by:
        `appendScriptToStringBuilder` in interface `ScriptString`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.